Last Comment Bug 751164 - Convert debugger.xul to XUL, remove HTML bits.
: Convert debugger.xul to XUL, remove HTML bits.
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 15
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
Depends on:
Blocks: darkdebug 722317
  Show dependency treegraph
 
Reported: 2012-05-02 07:29 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2012-05-10 07:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
dehtmlify (7.73 KB, patch)
2012-05-05 06:35 PDT, Rob Campbell [:rc] (:robcee)
past: review+
Details | Diff | Splinter Review
dehtmlification (8.39 KB, patch)
2012-05-08 04:14 PDT, Rob Campbell [:rc] (:robcee)
no flags Details | Diff | Splinter Review
followup (1.91 KB, patch)
2012-05-09 03:01 PDT, Rob Campbell [:rc] (:robcee)
paul: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2012-05-02 07:29:02 PDT
Current version of debugger.xul contains various HTML pieces. These should be converted to their XUL counterparts.
Comment 1 Panos Astithas [:past] (away until 7/21) 2012-05-02 09:35:52 PDT
This should hopefully fix bug 722317.
Comment 2 Rob Campbell [:rc] (:robcee) 2012-05-03 03:44:19 PDT
taking.
Comment 3 Rob Campbell [:rc] (:robcee) 2012-05-05 06:35:50 PDT
Created attachment 621288 [details] [diff] [review]
dehtmlify

obvious things missing: styling for styling for buttons, styling for menulist and closebutton (bug 749626), styling for splitters.

I plan to create separate bugs for the remaining of these based on changes in the darkdebug bug 692409.
Comment 4 Panos Astithas [:past] (away until 7/21) 2012-05-07 02:29:14 PDT
Comment on attachment 621288 [details] [diff] [review]
dehtmlify

Review of attachment 621288 [details] [diff] [review]:
-----------------------------------------------------------------

I presume the flex, vbox and hbox CSS classes will be removed in the darkdebug patch? We used them to emulate the behavior of the respective XUL elements.
Comment 5 Rob Campbell [:rc] (:robcee) 2012-05-07 10:02:13 PDT
(In reply to Panos Astithas [:past] from comment #4)
> Comment on attachment 621288 [details] [diff] [review]
> dehtmlify
> 
> Review of attachment 621288 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> I presume the flex, vbox and hbox CSS classes will be removed in the
> darkdebug patch? We used them to emulate the behavior of the respective XUL
> elements.

right, good point. I can add that here before landing.
Comment 6 Rob Campbell [:rc] (:robcee) 2012-05-08 04:09:25 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #5)
> (In reply to Panos Astithas [:past] from comment #4)
> > Comment on attachment 621288 [details] [diff] [review]
> > dehtmlify
> > 
> > Review of attachment 621288 [details] [diff] [review]:
> > -----------------------------------------------------------------
> > 
> > I presume the flex, vbox and hbox CSS classes will be removed in the
> > darkdebug patch? We used them to emulate the behavior of the respective XUL
> > elements.
> 
> right, good point. I can add that here before landing.

still using vbox and flex classes on the inner divs.
Comment 7 Rob Campbell [:rc] (:robcee) 2012-05-08 04:14:48 PDT
Created attachment 621932 [details] [diff] [review]
dehtmlification

removed hbox, dbg-statusbar sections from debugger.css. rebased debugger.xul.
Comment 8 Rob Campbell [:rc] (:robcee) 2012-05-08 04:41:29 PDT
https://hg.mozilla.org/integration/fx-team/rev/6d6e0475b348
Comment 9 Victor Porof [:vporof][:vp] 2012-05-08 05:17:15 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #6)
> still using vbox and flex classes on the inner divs.

Why?
Comment 10 Rob Campbell [:rc] (:robcee) 2012-05-09 03:01:34 PDT
Created attachment 622327 [details] [diff] [review]
followup

followup patch. Removed flex, vbox classes. Converted divs to vboxes. Added dbg-default class. Removed extra nesting around script.
Comment 11 Paul Rouget [:paul] 2012-05-09 03:16:32 PDT
Comment on attachment 622327 [details] [diff] [review]
followup

Review of attachment 622327 [details] [diff] [review]:
-----------------------------------------------------------------

As you're fixing debugger.xul, can you remove the ^I character line 61?
Can you use toolbarbutton (instead of buttons)?

Both of these things are not required, I can do it in bug 692409.

::: browser/devtools/debugger/debugger.css
@@ +47,3 @@
>    cursor: default;
>  }
>  

No need to add "vbox" (nit)
Comment 12 Rob Campbell [:rc] (:robcee) 2012-05-09 03:24:21 PDT
done. Thanks!

https://hg.mozilla.org/integration/fx-team/rev/4b191063009c

Note You need to log in before you can comment on or make changes to this bug.